/* Плавный переход цветов */
#reader-expanded-header {
    transition: background-color 0.3s ease, color 0.3s ease, transform 0.3s ease;
}

/* Состояния тем */
#reader-expanded-header.light-mode {
    background-color: #ffffff !important;
    color: #000000 !important;
    border-bottom: 1px solid #ddd;
}



#reader-expanded-header.sepia-mode {
    background-color: #f4ecd8 !important;
    color: #5b4636 !important;
    border-bottom: 1px solid #eaddc0;
}

#reader-expanded-header.dark-mode {
    background-color: #1a1a1a !important;
    color: #ccc !important;
    border-bottom: 1px solid #333;
}

#reader-full-title {white-space: nowrap;overflow: hidden;text-overflow: ellipsis;display: block;max-width: 95%;}
#reader-full-author {white-space: nowrap;overflow: hidden; text-overflow: ellipsis; display: block; max-width: 100%;}
/* Скрытие шапки (fullscreen) */
#reader-expanded-header.hidden-header {transform: translateY(-100%);opacity: 0;pointer-events: none;}

/* Заставляем текст автора и заголовка наследовать цвет темы */
#reader-expanded-header #reader-full-author,
#reader-expanded-header #reader-full-title,
#reader-expanded-header .book-toggle svg {color: white;transition: color 0.3s ease;opacity: 0.8;}
#reader-expanded-header .book-toggle svg {width: 26px;height: 26px;}


#reader-expanded-header #reader-full-title,
#reader-expanded-header .book-toggle {font-size: 16px;font-weight: 700; }
#reader-expanded-header #reader-full-author {font-size: 14px;}


/* При наведении (если это ссылка или кнопка) */
#reader-expanded-header .reader-header-back-btn:hover {opacity: 1;}

/* Специфичные правки для тем, если инхерит не справляется */
#reader-expanded-header.dark-mode #reader-full-author,
#reader-expanded-header.dark-mode #reader-full-title {color: #cccccc !important;}
#reader-expanded-header.dark-mode .book-toggle svg {stroke:#cccccc !important;}

#reader-expanded-header.sepia-mode #reader-full-author,
#reader-expanded-header.sepia-mode #reader-full-title {color: #5b4636 !important;}
#reader-expanded-header.sepia-mode .book-toggle svg {stroke:#5b4636 !important;}

#reader-expanded-header.light-mode #reader-full-author,
#reader-expanded-header.light-mode #reader-full-title{color: #000000 !important;}
#reader-expanded-header.light-mode .book-toggle svg {stroke:#5b4636 !important;}

.book-toggle {
    flex-shrink: 0;
}